cpw.mods.fml.common.event

## Class FMLMissingMappingsEvent.MissingMapping

- java.lang.Object
- - cpw.mods.fml.common.event.FMLMissingMappingsEvent.MissingMapping

- Enclosing class:
    FMLMissingMappingsEvent

      public static class FMLMissingMappingsEvent.MissingMapping
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`
    `java.lang.String` | `name`
    `GameRegistry.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLMissingMappingsEvent.MissingMapping(java.lang.String name, int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fail()` Prevent the world from loading due to the missing item.
    `FMLMissingMappingsEvent.Action` | `getAction()`
    `java.lang.Object` | `getTarget()`
    `void` | `ignore()` Ignore the missing item.
    `void` | `remap(Block target)` Remap the missing item to the specified Block.
    `void` | `remap(Item target)` Remap the missing item to the specified Item.
    `void` | `setAction(FMLMissingMappingsEvent.Action target)` Deprecated. use ignore(), warn(), fail() or remap() instead
    `void` | `warn()` Warn the user about the missing item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final GameRegistry.Type type

    - #### name

          public final java.lang.String name

    - #### id

          public final int id

  - ### Constructor Detail

    - #### FMLMissingMappingsEvent.MissingMapping

          public FMLMissingMappingsEvent.MissingMapping(java.lang.String name,
                                                int id)

  - ### Method Detail

    - #### setAction

          @Deprecated
          public void setAction(FMLMissingMappingsEvent.Action target)

      Deprecated. use ignore(), warn(), fail() or remap() instead

    - #### ignore

          public void ignore()

      Ignore the missing item.

    - #### warn

          public void warn()

      Warn the user about the missing item.

    - #### fail

          public void fail()

      Prevent the world from loading due to the missing item.

    - #### remap

          public void remap(Block target)

      Remap the missing item to the specified Block. Use this if you have renamed a Block, don't forget to handle the ItemBlock. Existing references using the old name will point to the new one.
      Parameters:
        `target` - Block to remap to.

    - #### remap

          public void remap(Item target)

      Remap the missing item to the specified Item. Use this if you have renamed an Item. Existing references using the old name will point to the new one.
      Parameters:
        `target` - Item to remap to.

    - #### getAction

          public FMLMissingMappingsEvent.Action getAction()

    - #### getTarget

          public java.lang.Object getTarget()